Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SurfaceTexture Class Reference

サーフェーステクスチャ More...

`#include <SurfaceTexture.h>`

Inheritance diagram for Lamp::SurfaceTexture:

List of all members.

## Public Member Functions
virtual bool | isSurfaceTexture () const
| サーフェーステクスチャかどうか
virtual Texture * | copy (u_int copyMask=0) const
| コピー
virtual SurfaceTexture * | copySurfaceTexture (u_int copyMask=0) const
| サーフェーステクスチャのコピー
virtual void | addPicture (Picture *picture)
| ピクチャの追加
virtual void | removePicture (Picture *picture)
| ピクチャの削除
virtual int | getPictureCount () const
| ピクチャ数の取得
virtual Picture * | getPicture (int index) const
| ピクチャの取得
virtual void | setAddressModeU (AddressMode addressModeU)
| アドレスモードUの設定
virtual AddressMode | getAddressModeU () const
| アドレスモードUの取得
virtual void | setAddressModeV (AddressMode addressModeV)
| アドレスモードVの設定
virtual AddressMode | getAddressModeV () const
| アドレスモードVの取得
virtual void | setRepeatUV (const TexCoord2 &repeatUV)
| リピートUVの設定
virtual const TexCoord2 & | getRepeatUV () const
| リピートUVの取得
virtual void | setOffsetUV (const TexCoord2 &offsetUV)
| オフセットUVの設定
virtual const TexCoord2 & | getOffsetUV () const
| オフセットUVの取得
## Protected Member Functions
| SurfaceTexture (const String &name, Scene *scene)
| コンストラクタ
virtual | ~SurfaceTexture ()
| デストラクタ
virtual Direct3DTexture * | getD3DTexture ()
| D3Dテクスチャの取得.
## Friends
class | TextureManager

## Detailed Description

サーフェーステクスチャ

Definition at line 36 of file SurfaceTexture.h.

## Constructor & Destructor Documentation

Lamp::SurfaceTexture::SurfaceTexture | ( | const String & | name,
|  | Scene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 35 of file SurfaceTexture.cpp. References NULL.

## Member Function Documentation

virtual void Lamp::SurfaceTexture::addPicture | ( | Picture * | picture | ) | `[inline, virtual]`

  | ピクチャの追加 Parameters:
  picture | 追加するピクチャ
Implements Lamp::Texture. Definition at line 69 of file SurfaceTexture.h. References Lamp::Texture::addPictureReference(), Assert, NULL, and Lamp::Texture::stateChanged().

virtual Texture* Lamp::SurfaceTexture::copy | ( | u_int | copyMask = 0 | ) | const`[inline, virtual]`

  | コピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたテクスチャ Implements Lamp::Texture. Definition at line 51 of file SurfaceTexture.h. References copySurfaceTexture().

SurfaceTexture * Lamp::SurfaceTexture::copySurfaceTexture | ( | u_int | copyMask = 0 | ) | const`[virtual]`

  | サーフェーステクスチャのコピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたサーフェーステクスチャ Definition at line 45 of file SurfaceTexture.cpp. References Lamp::SceneObject::copyTexture, Lamp::Texture::copyTextureValue(), Lamp::TextureManager::createSurfaceTexture(), Lamp::Scene::getTextureManager(), Lamp::SceneObject::name_, Lamp::SceneObjectManagerTemplate< Texture >::rename(), Lamp::SceneObject::scene_, setAddressModeU(), setAddressModeV(), setOffsetUV(), and setRepeatUV(). Referenced by copy().

virtual AddressMode Lamp::SurfaceTexture::getAddressModeU | ( |  | ) | const`[inline, virtual]`

| アドレスモードUの取得 Returns: アドレスモードU Definition at line 122 of file SurfaceTexture.h. References Lamp::Texture::AddressMode. Referenced by Lamp::FixedShader::setFixedTexture(), Lamp::TextSceneSaver::writeSurfaceTexture(), and Lamp::BinarySceneSaver::writeSurfaceTexture().

virtual AddressMode Lamp::SurfaceTexture::getAddressModeV | ( |  | ) | const`[inline, virtual]`

| アドレスモードVの取得 Returns: アドレスモードV Definition at line 138 of file SurfaceTexture.h. References Lamp::Texture::AddressMode. Referenced by Lamp::FixedShader::setFixedTexture(), Lamp::TextSceneSaver::writeSurfaceTexture(), and Lamp::BinarySceneSaver::writeSurfaceTexture().

Direct3DTexture * Lamp::SurfaceTexture::getD3DTexture | ( |  | ) | `[protected, virtual]`

| D3Dテクスチャの取得. Returns: D3Dテクスチャの取得 Implements Lamp::Texture. Definition at line 60 of file SurfaceTexture.cpp. References Assert, Direct3DTexture, Lamp::Picture::getD3DTexture(), getPicture(), and NULL.

virtual const TexCoord2& Lamp::SurfaceTexture::getOffsetUV | ( |  | ) | const`[inline, virtual]`

| オフセットUVの取得 Returns: オフセットUV Definition at line 170 of file SurfaceTexture.h. Referenced by Lamp::FixedShader::setFixedTexture(), Lamp::TextSceneSaver::writeSurfaceTexture(), and Lamp::BinarySceneSaver::writeSurfaceTexture().

virtual Picture* Lamp::SurfaceTexture::getPicture | ( | int | index | ) | const`[inline, virtual]`

  | ピクチャの取得 Parameters:
  index | インデックス
Returns: ピクチャ Implements Lamp::Texture. Definition at line 102 of file SurfaceTexture.h. References Assert, and NULL. Referenced by getD3DTexture().

virtual int Lamp::SurfaceTexture::getPictureCount | ( |  | ) | const`[inline, virtual]`

| ピクチャ数の取得 Returns: ピクチャ数 Implements Lamp::Texture. Definition at line 92 of file SurfaceTexture.h. References NULL.

virtual const TexCoord2& Lamp::SurfaceTexture::getRepeatUV | ( |  | ) | const`[inline, virtual]`

| リピートUVの取得 Returns: リピートUV Definition at line 154 of file SurfaceTexture.h. Referenced by Lamp::FixedShader::setFixedTexture(), Lamp::TextSceneSaver::writeSurfaceTexture(), and Lamp::BinarySceneSaver::writeSurfaceTexture().

virtual bool Lamp::SurfaceTexture::isSurfaceTexture | ( |  | ) | const`[inline, virtual]`

| サーフェーステクスチャかどうか Returns: サーフェーステクスチャならtrue Reimplemented from Lamp::Texture. Definition at line 43 of file SurfaceTexture.h.

virtual void Lamp::SurfaceTexture::removePicture | ( | Picture * | picture | ) | `[inline, virtual]`

  | ピクチャの削除 Parameters:
  picture | 削除するピクチャ
Implements Lamp::Texture. Definition at line 81 of file SurfaceTexture.h. References Assert, NULL, Lamp::Texture::removePictureReference(), and Lamp::Texture::stateChanged().

virtual void Lamp::SurfaceTexture::setAddressModeU | ( | AddressMode | addressModeU | ) | `[inline, virtual]`

  | アドレスモードUの設定 Parameters:
  addressModeU | アドレスモードU
Definition at line 113 of file SurfaceTexture.h. References Lamp::Texture::stateChanged(). Referenced by copySurfaceTexture(), Lamp::TextSceneLoader::readSurfaceTexture(), and Lamp::BinarySceneLoader::readSurfaceTexture().

virtual void Lamp::SurfaceTexture::setAddressModeV | ( | AddressMode | addressModeV | ) | `[inline, virtual]`

  | アドレスモードVの設定 Parameters:
  addressModeV | アドレスモードV
Definition at line 129 of file SurfaceTexture.h. References Lamp::Texture::stateChanged(). Referenced by copySurfaceTexture(), Lamp::TextSceneLoader::readSurfaceTexture(), and Lamp::BinarySceneLoader::readSurfaceTexture().

virtual void Lamp::SurfaceTexture::setOffsetUV | ( | const TexCoord2 & | offsetUV | ) | `[inline, virtual]`

  | オフセットUVの設定 Parameters:
  offsetUV | オフセットUV
Definition at line 161 of file SurfaceTexture.h. References Lamp::Texture::stateChanged(). Referenced by copySurfaceTexture(), Lamp::TextSceneLoader::readSurfaceTexture(), and Lamp::BinarySceneLoader::readSurfaceTexture().

virtual void Lamp::SurfaceTexture::setRepeatUV | ( | const TexCoord2 & | repeatUV | ) | `[inline, virtual]`

  | リピートUVの設定 Parameters:
  repeatUV | リピートUV
Definition at line 145 of file SurfaceTexture.h. References Lamp::Texture::stateChanged(). Referenced by copySurfaceTexture(), Lamp::TextSceneLoader::readSurfaceTexture(), and Lamp::BinarySceneLoader::readSurfaceTexture().

The documentation for this class was generated from the following files:

- SurfaceTexture.h
- SurfaceTexture.cpp